org.omg.CORBA

## Class PolicyError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.PolicyError

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class PolicyError
    extends UserException

A user exception thrown when a policy error occurs. A `PolicyError` exception may include one of the following policy error reason codes defined in the org.omg.CORBA package: BAD_POLICY, BAD_POLICY_TYPE, BAD_POLICY_VALUE, UNSUPPORTED_POLICY, UNSUPPORTED_POLICY_VALUE.

### Field Summary

Fields
`short` `reason` The reason for the `PolicyError` exception being thrown.

### Constructor Summary

Constructors
Constructor and Description
`PolicyError()` Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.
`PolicyError(short __reason)` Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.
`PolicyError(String reason_string, short __reason)` Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### reason

    public short reason

The reason for the `PolicyError` exception being thrown.

### Constructor Detail

#### PolicyError

    public PolicyError()

Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.

#### PolicyError

    public PolicyError(short __reason)

Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.

Parameters:
  `__reason` - the reason code.

#### PolicyError

    public PolicyError(String reason_string,
               short __reason)

Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.

Parameters:
  `reason_string` - the reason detail message.
  `__reason` - the reason code.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.